<?php
include 'connect/cms-config.php' ;
include 'requires/function.php' ;
include 'requires/session.php' ;

// include the class
include 'requires/class_resize.php' ;

// keep parameter in value
$page 				= escapeString($_GET['page']) ;
$page_mode 			= escapeString($_GET['page_mode']) ;
$type 				= escapeString($_GET['type']) ;
$search 			= escapeString($_GET['search']) ;
$difficulty_id		= escapeString($_GET['difficulty_id']) ;

// active menu bar
$active_main_menu   = 'setting' ;
$active_sub_menu    = 'setting-app' ;
$active_menu        = 'setting-app-difficulty' ;

// check permission
if ( !permissionCheck($row_user, 'app-difficulty-view') ){
	header('Location: index.php') ;
	exit ;
}

// mode type | all list | new | edit
switch( $page_mode ){
	
	// edit association category
	case 'new' :
	case 'edit' :

		// check query exsits
		$submit_type = 'new' ;
		$mysqli_page = $mysqli->query("SELECT * FROM setting_difficulty
									   WHERE difficulty_id = '".$difficulty_id."' LIMIT 1");
		if ($mysqli_page->num_rows > 0){
			// keep query value in array
			$row_page    = $mysqli_page->fetch_array(MYSQLI_ASSOC) ;
			$submit_type = 'edit' ;
		}

		// update database
		if ( isset($type) && ( $type == 'new' || $type == 'edit' ) && $_POST['hide'] == 1 ){

			// keep value in variable
			$page_title      = escapeString($_POST['title']) ;
			$page_title      = ($page_title != '' ? $page_title : 'No Title') ;
			if ( $difficulty_id == '' ){
				$mysqli->query( "INSERT INTO setting_difficulty 
							    ( created_at ) VALUES 
							    ( '".TODAYDATE."' )" ) ;
				$difficulty_id = $mysqli->insert_id ;	
			}

			$set_tier          = [] ;
			foreach ( $_POST['set_tier'] as $k => $v ){
				$set_tier[]    = $v ;
			}

			// update database
			$mysqli->query( "UPDATE setting_difficulty SET
							code 			    = '".escapeString($_POST['code'])."',
							set_tier   		    = '|".implode( '|', $set_tier )."|'
							WHERE difficulty_id = '".$difficulty_id."'" ) ;

			foreach ( $LANGS as $klang => $vlang ){
				$title        = escapeString( $_POST['title_'.$klang] ) ;

				checkLangUpdate( 'setting_difficulty_translation', 'difficulty_id', $difficulty_id, $klang, [ 
					'title' 	=> [ 'type' => 'input', 'value' => $title   ]
				] ) ;
			}

			// refresh page
			header("Location:app-difficulty.php?page_mode=edit&difficulty_id=".$difficulty_id."&success=1") ;
			$_SESSION['system_result'] = 'success-updated' ;
			exit ;
		}

		if ( ( $page_mode == 'new' && !permissionCheck($row_user, 'app-difficulty-new') ) && $page_mode == 'edit' ){
			header('Location: app-difficulty.php') ;
			exit ;
		}

		// get all requires 

		// get all tier
		$tier_list         = [] ;
		$mysqli_tier       = $mysqli->query("SELECT a.tier_id, b.title FROM profile_tier a
                        					 LEFT JOIN profile_tier_translation b ON ( a.tier_id = b.tier_id )
											 WHERE a.deleted_at IS NULL AND b.lang = 'en' ORDER BY a.sortable ASC") ;
		if ( $mysqli_tier->num_rows > 0 ){
			while ( $row_tier = $mysqli_tier->fetch_assoc() ){
				$tier_list[]  = $row_tier ;
			}
		}

		// start header here
		include 'requires/page_header.php';
		include 'requires/page_top.php';
		?>

		<div class="warper container-fluid">   	
			<div class="page-header"><h1>difficulty <small><?= $lang[$page_mode] ?></small></h1></div>
			<?php
            if ($_SESSION['system_result'] != ''){
                switch($_SESSION['system_result']){
                    case 'success-updated' :
                        echo '<div class="result_success">'.$lang['Thank you details has been updated'].'</div>' ;	
                    break ;
                }
                unset($_SESSION['system_result']) ;
            }
            ?>
            <div class="panel panel-default">
                <div class="panel-heading"></div>
                <div class="panel-body">
                    <form method="post" class="form-horizontal" id="quotationForm" enctype="multipart/form-data" action="app-difficulty.php?page_mode=edit&difficulty_id=<?= $difficulty_id ?>&type=edit" novalidate="novalidate">

                    	<?php 
                		echo showTabs( 'setting_difficulty_translation', 'difficulty_id', $difficulty_id, [ 
                			'title'   => [
                				'type'    => 'input', 
                				'title'   => $lang['title']
                			]
                		]) ; 
                    	?>

                        <div class="form-group">
                            <div class="col-sm-2 control-label">Code</div>
                            <div class="col-sm-9">
                                <input type="text" name="code" class="form-control ui-search-input" value="<?= dataFilter($row_page['code']) ?>" placeholder="Code" />
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-2 control-label">Tier</div>
                            <div class="col-sm-9">
                                <select name="set_tier[]" id="selectuser" class="chosen-select form-control tab_index ui-dropdown-select ui-search-input select2-basic-single" multiple >
									<?php 
									$set_tier = explode( '|', $row_page['set_tier'] ) ;
									foreach( $tier_list as $k => $v ){ ?>
					        			<option value="<?= $v['tier_id'] ?>" <?= ( in_array( $v['tier_id'], $set_tier ) ? 'selected' : '') ?> ><?= $v['title'] ?></option>
					        		<?php } ?>
								</select>
                            </div>
                        </div>

						<?php if ( permissionCheck($row_user, 'app-difficulty-edit') || $page_mode == 'new' ){ ?>
	                        <div class="form-group">
	                            <div class="col-sm-2 control-label"></div>
	                            <div class="col-sm-9">
	                                <button type="submit" class="btn btn-purple" style="float:right">Submit</button>
	                                <input type="hidden" name="hide" value="1">
	                                <input type="hidden" name="page_status" value="<?= $submit_type ?>">
	                            </div>
	                        </div>  
						<?php } ?>
 
                    </form>
                </div>
            </div>
		</div>

		<?php
		
	break ;


	
	// all association list
	case 'all' :
	default :
		
		$search_title 		= escapeString($_GET['search_title']) ;
		$search_date 		= ( $_GET['search_date']!= '' ? date('Y-m-d', strtotime($_GET['search_date'])) : '' ) ;
		
		// query type
		$search_query 		= '' ;
		
		// search query
		if( $search_title  != ''){
			$search_query  .= " AND b.title LIKE '%".$search_title."%'" ;
		}
		if ( $search_date  != '' ){
		    $search_query  .= " AND a.created_at like '%".$search_date."%' " ;
		}
		
		// form submit
		if ( $_POST['hide'] == '1' && $_POST['hide_status'] == 'action' ){
			switch($_POST['page_action']){
				case 'trash':
					$mysqli_query 	= "UPDATE setting_difficulty SET deleted_at = '".TODAYDATE."' WHERE difficulty_id = " ;
					$trash_page 	= trashPage('category', $mysqli, $mysqli_query, $_POST['multiple_trash']) ;
				break;
			}
		}
		
		// pagination
		if (isset($page) && !empty($page)) { $product_page = $page ; } else { $product_page = 1 ; } // next and prev page (5 thing need to change)
		$start_from 	= ($product_page - 1) * LIMIT ; //end next and prev page
		
		// set search url
		$search_url 	= 'search='.$search.'&search_title='.$search_title.'&search_date='.$search_date.'&page_mode='.$page_mode ;
		
		// page query
		$mysqli_query 	= "SELECT a.difficulty_id, a.code, a.created_at, b.title FROM setting_difficulty a
						   LEFT JOIN setting_difficulty_translation b ON ( a.difficulty_id = b.difficulty_id )
						   WHERE a.deleted_at IS NULL AND b.lang = 'en' " . $search_query ;
		$mysqli_page 	= $mysqli->query( $mysqli_query." ORDER BY a.difficulty_id DESC LIMIT $start_from, " . LIMIT ) ;

		// load pagination
		$page_pagination = nextPrevious($product_page, LIMIT, $search_url, $mysqli_query) ;
		
		// start header here
		include 'requires/page_header.php' ;
		include 'requires/page_top.php' ;

		?>
		<!-- Header Ends -->
		<div class="warper container-fluid">   	
			
			<div class="page-header">
				<h1>difficulty <small><?= $lang['list']?></small></h1>
				<?php if ( permissionCheck($row_user, 'app-difficulty-new') ){ ?>
					<a href="app-difficulty.php?page_mode=new" class="btn btn-purple" target="_blank"><?= $lang['add_new']?></a>
				<?php } ?>
			</div>

		    <div class="panel panel-default" id="basic-table-title">
		        <div class="panel-heading"></div>
		        <div class="panel-body">
		            <form method="get" class="form-horizontal" style="max-width:600px;">
		                <div class="form-group">
		                    <label class="col-sm-2 control-label"><?= $lang['title'] ?></label>
		                    <div class="col-sm-9">
		                        <input type="text" name="search_title" value="<?= $search_title ?>" class="form-control" />
		                    </div>
		                </div>
	                    <div class="form-group">
		                    <label class="col-sm-2 control-label"><?= $lang['date'] ?></label>
		                    <div class="col-sm-9">
		                        <input class="form-control" name="search_date" type="date" value="<?= $search_date ?>" placeholder="Date Resigned">
		                    </div>
		                </div>
		                <div class="form-group">
		                    <div class="col-sm-11">
		                        <input type="hidden" name="page_mode" value="<?= $page_mode ?>" />
		                        <input type="hidden" name="search" value="<?= $search ?>" />
		                        <button type="submit" class="btn btn-purple" style="float:right"><?= $lang['submit'] ?></button>
		                    </div>
		                </div>
		            </form>
		        </div>
		    </div>
		    
            <form method="post">
                
                <?php if ( permissionCheck($row_user, 'app-difficulty-trash') ){ ?>
                <div class="panel panel-default">
                    <div class="panel-body">
                        <select name="page_action" class="form-control selectpicker">
                            <option value=""><?= $lang['select']?></option>
                            <option value="trash"><?= $lang['move_to_trash']?></option>
                        </select>
                        <input type="hidden" name="hide" value="1" />
                        <input type="hidden" name="hide_status" value="action" />
                        <input type="submit" class="btn btn-purple" value="<?= $lang['submit']?>" />
                    </div>
                </div>
                <?php } ?>

                <div class="panel panel-default">
                    <div class="panel-heading"></div>
                    <div class="panel-body">
						<table cellpadding="0" cellspacing="0" border="0" class="responsive table table-striped table-bordered" id="basic-datatable">
							<thead>
								<tr>
									<th>Action</th>
									<th>Code</th>
									<th>Title</th>
									<th>Created Date</th>
                                    <th width="50"><?= $lang['trash']?></th>
								</tr>
							</thead>
							<tbody>
								<?php
								if ($mysqli_page->num_rows > 0){
									while ( $row_page = $mysqli_page->fetch_array(MYSQLI_ASSOC) ){
										echo '
										 <tr class="odd gradeX">
										 	<td class="align_center">' ;
												if ( permissionCheck($row_user, 'difficulty-update') ){
													echo '
										 			<a title="Edit Current difficulty" href="app-difficulty.php?page_mode=edit&difficulty_id='.$row_page['difficulty_id'].'"><i class="fa fa-edit"></i></a>' ;
												}else{
													echo '-' ;
												}
											echo '
										 	</td>
											<td class="text-center">'.$row_page['code'].'</td>
											<td>'.dataFilter($row_page['title']).'</td>
											<td class="text-center">'.resetDateFormat($row_page['created_at']).'</td>
											<td>
												<div class="checkbox multiple_trash">
													<input type="checkbox" name="multiple_trash['.$row_page['difficulty_id'].']" class="trash_button" value="1">
													<label for="checkbox1"></label>
												</div>
											</td>
										</tr>';
									}
								}else{
									echo '
									<tr class="odd gradeX">
										<td class="border_none">'.$lang['no_data'].'</td>
										<td class="border_none"></td>
										<td class="border_none"></td>
										<td class="border_none"></td>
										<td class="border_none"></td>
									</tr>' ;
								}
								?>
							</tbody>
						</table>
						<?= $page_pagination['page_pagination'] ?>
                    </div>
                </div>
			</form>
		</div>
		<?php
	break ;

}
// footer
include 'requires/page_footer.php' ;
?>